Debian Bug report logs - #516852
Symbol lookup error: gtk_file_system_error_quark

version graph

Package: ruby-gnome2; Maintainer for ruby-gnome2 is Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>; Source for ruby-gnome2 is src:ruby-gnome2.

Reported by: Wouter Bolsterlee <uws@xs4all.nl>

Date: Tue, 24 Feb 2009 00:00:01 UTC

Severity: grave

Tags: patch

Found in version ruby-gnome2/0.17.0~rc1-6

Fixed in version ruby-gnome2/0.18.1-1

Done: Arnaud Cornet <acornet@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Arnaud Cornet <acornet@debian.org>:
Bug#516852; Package ruby-gnome2. (Tue, 24 Feb 2009 00:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Wouter Bolsterlee <uws@xs4all.nl>:
New Bug report received and forwarded. Copy sent to Arnaud Cornet <acornet@debian.org>. (Tue, 24 Feb 2009 00:00:03 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wouter Bolsterlee <uws@xs4all.nl>
To: Debian Bug Submission <submit@bugs.debian.org>
Subject: Symbol lookup error: gtk_file_system_error_quark
Date: Tue, 24 Feb 2009 00:56:51 +0100
[Message part 1 (text/plain, inline)]
Package: ruby-gnome2
Severity: grave

The ruby GTK+ bindings cause a crash on startup for applications using these
bindings, e.g.

  $ screenruler 
  Loading libraries...
  ruby: symbol lookup error: /usr/lib/ruby/1.8/i486-linux/gtk2.so: undefined symbol: gtk_file_system_error_quark

I'm using the 2.14.7-3 version of the libgtk2.0-0 package, which does not
have this symbol:

  $ nm /usr/lib/libgtk-x11-2.0.a |grep gtk_file_system_error_quark |wc -l
  0

It looks like this is was a private symbol which is no longer available in
GTK+ 2.14.x.

    — Wouter
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Cornet <acornet@debian.org>:
Bug#516852; Package ruby-gnome2. (Tue, 24 Feb 2009 08:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van Tilburg <paulvt@debian.org>:
Extra info received and forwarded to list. Copy sent to Arnaud Cornet <acornet@debian.org>. (Tue, 24 Feb 2009 08:54:05 GMT) Full text and rfc822 format available.

Message #10 received at 516852@bugs.debian.org (full text, mbox):

From: Paul van Tilburg <paulvt@debian.org>
To: Wouter Bolsterlee <uws@xs4all.nl>, 516852@bugs.debian.org
Subject: Re: [DRE-maint] Bug#516852: Symbol lookup error: gtk_file_system_error_quark
Date: Tue, 24 Feb 2009 09:50:50 +0100
Hi Wouter,

On Tue, Feb 24, 2009 at 12:56:51AM +0100, Wouter Bolsterlee wrote:
> The ruby GTK+ bindings cause a crash on startup for applications using these
> bindings, e.g.
> 
>   $ screenruler 
>   Loading libraries...
>   ruby: symbol lookup error: /usr/lib/ruby/1.8/i486-linux/gtk2.so: undefined symbol: gtk_file_system_error_quark

Just wanted to let you know that we are aware of this bug and a
fix/patch is (being) prepared in Subversion.

Kind regards,
Paul

-- 
PhD Student @ Eindhoven                     | email: paulvt@debian.org
University of Technology, The Netherlands   | JID: paul@luon.net
>>> Using the Power of Debian GNU/Linux <<< | GnuPG key ID: 0x50064181




Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Cornet <acornet@debian.org>:
Bug#516852; Package ruby-gnome2. (Tue, 03 Mar 2009 15:36:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to battipede.carmine@yahoo.it:
Extra info received and forwarded to list. Copy sent to Arnaud Cornet <acornet@debian.org>. (Tue, 03 Mar 2009 15:36:44 GMT) Full text and rfc822 format available.

Message #15 received at 516852@bugs.debian.org (full text, mbox):

From: Carmine Battipede <battipede.carmine@yahoo.it>
To: 516852@bugs.debian.org
Subject: 516852@bugs.debian.org
Date: Tue, 3 Mar 2009 15:31:02 +0000 (GMT)
[Message part 1 (text/plain, inline)]
Another debian apps whit bug of ruby ^_

c4rm1n3@debian:[~]#gnome-art 
ruby: symbol lookup error: /usr/lib/ruby/1.8/i486-linux/gtk2.so: undefined symbol: gtk_file_system_error_quark

c4rm1n3@debian:[~]#which gnome-art
/usr/bin/gnome-art

c4rm1n3@debian:[~]#dpkg --search /usr/bin/gnome-art
gnome-art: /usr/bin/gnome-art

c4rm1n3@debian:[~]#dpkg --list /usr/bin/gnome-art
Nessun pacchetto corrisponde a /usr/bin/gnome-art.

c4rm1n3@debian:[~]#dpkg --list gnome-art
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Cfg-files/Unpacked/Failed-cfg/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Hold/Reinst-required/X=both-problems (Status,Err: uppercase=bad)
||/ Nome                                  Versione                              Descrizione
+++-=====================================-=====================================-==========================================================================================
ii  gnome-art                             0.2-12                                install GNOME themes from art.gnome.org

c4rm1n3@debian:[~]#dpkg --status gnome-art
Package: gnome-art
Status: install ok installed
Priority: optional
Section: gnome
Installed-Size: 128
Maintainer: Mohammed Adnène Trojette <adn+deb@diwi.org>
Architecture: all
Version: 0.2-12
Depends: ruby, libgnome2-ruby, libglade2-ruby (>= 0.12.0), gnome-splashscreen-manager
Description: install GNOME themes from art.gnome.org
 GNOME Art is a tool for downloading and installing GNOME themes
 from http://art.gnome.org/ website. It provides a nice theme list
 with options to preview, download and install them.
Homepage: http://www.miketech.net/gnome-art/
          
c4rm1n3@debian:[~]#nm /usr/lib/libgtk-x11-2.0.so.0  |grep gtk_file_system_error_quark |wc -l
nm: /usr/lib/libgtk-x11-2.0.so.0: no symbols
0


      Passa a Yahoo! Mail.

La webmail che ti offre GRATIS spazio illimitato, 
antispam e messenger integrato.
http://it.mail.yahoo.com/              
[Message part 2 (text/html, inline)]

Blocking bugs of 508038 added: 516852 Request was from Olivier Berger <olivier.berger@it-sudparis.eu> to control@bugs.debian.org. (Sat, 21 Mar 2009 17:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Cornet <acornet@debian.org>:
Bug#516852; Package ruby-gnome2. (Wed, 25 Mar 2009 06:48:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Arnaud Cornet <acornet@debian.org>. (Wed, 25 Mar 2009 06:48:02 GMT) Full text and rfc822 format available.

Message #22 received at 516852@bugs.debian.org (full text, mbox):

From: Johan Walles <johan.walles@gmail.com>
To: 516852@bugs.debian.org, paulvt@debian.org, battipede.carmine@yahoo.it, control@bugs.debian.org, uws@xs4all.nl
Subject: Patch available for Bug#516852: Symbol lookup error: gtk_file_system_error_quark
Date: Wed, 25 Mar 2009 07:42:27 +0100
found 516852 0.17.0~rc1-6
tag 516852 + patch
thanks

Ubuntu has a patch for this.

Patch here:
http://patches.ubuntu.com/r/ruby-gnome2/ruby-gnome2_0.17.0~rc1-6ubuntu1.patch

Changelog is here:
https://launchpad.net/ubuntu/+source/ruby-gnome2

  Regards //Johan




Bug marked as found in version 0.17.0~rc1-6. Request was from Johan Walles <johan.walles@gmail.com> to control@bugs.debian.org. (Wed, 25 Mar 2009 06:48:03 GMT) Full text and rfc822 format available.

Tags added: patch Request was from Johan Walles <johan.walles@gmail.com> to control@bugs.debian.org. (Wed, 25 Mar 2009 06:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Cornet <acornet@debian.org>:
Bug#516852; Package ruby-gnome2. (Wed, 25 Mar 2009 09:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Johan Walles <johan.walles@gmail.com>:
Extra info received and forwarded to list. Copy sent to Arnaud Cornet <acornet@debian.org>. (Wed, 25 Mar 2009 09:54:04 GMT) Full text and rfc822 format available.

Message #31 received at 516852@bugs.debian.org (full text, mbox):

From: Johan Walles <johan.walles@gmail.com>
To: Brice Goglin <Brice.Goglin@ens-lyon.org>, 508038@bugs.debian.org
Cc: 516852@bugs.debian.org
Subject: Fixed version for gtk_file_system_error_quark?
Date: Wed, 25 Mar 2009 10:53:05 +0100
Hi Brice!

You said that upgrading gtk/ruby libs to unstable resolved the
gtk_file_system_error_quark problem for you.

What version of ruby-gnome2 do you have installed?  I'd like to add a
notfound version to http://bugs.debian.org/516852.

  Regards //Johan




Information forwarded to debian-bugs-dist@lists.debian.org, Arnaud Cornet <acornet@debian.org>:
Bug#516852; Package ruby-gnome2. (Wed, 25 Mar 2009 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Brice Goglin <Brice.Goglin@ens-lyon.org>:
Extra info received and forwarded to list. Copy sent to Arnaud Cornet <acornet@debian.org>. (Wed, 25 Mar 2009 10:33:03 GMT) Full text and rfc822 format available.

Message #36 received at 516852@bugs.debian.org (full text, mbox):

From: Brice Goglin <Brice.Goglin@ens-lyon.org>
To: Johan Walles <johan.walles@gmail.com>
Cc: 508038@bugs.debian.org, 516852@bugs.debian.org
Subject: Re: Fixed version for gtk_file_system_error_quark?
Date: Wed, 25 Mar 2009 11:31:45 +0100
Johan Walles wrote:
> Hi Brice!
>
> You said that upgrading gtk/ruby libs to unstable resolved the
> gtk_file_system_error_quark problem for you.
>
> What version of ruby-gnome2 do you have installed?  I'd like to add a
> notfound version to http://bugs.debian.org/516852.
>
>   Regards //Johan
>   

I don't have ruby-gnome2, but I have

$ dpkg -l | grep gtk | grep ruby
ii  libgtk2-ruby                         0.17.0~rc1-6                  GTK+ bindings for the Ruby language
ii  libgtk2-ruby1.8                      0.18.1-1+b1                   GTK+ bindings for the Ruby language


Brice





Bug no longer marked as found in version 0.18.1-1+b1. Request was from Johan Walles <johan.walles@gmail.com> to control@bugs.debian.org. (Wed, 25 Mar 2009 10:51:02 GMT) Full text and rfc822 format available.

Bug no longer marked as found in version 0.18.1-1. Request was from Johan Walles <johan.walles@gmail.com> to control@bugs.debian.org. (Thu, 02 Apr 2009 05:51:09 GMT) Full text and rfc822 format available.

Reply sent to Arnaud Cornet <acornet@debian.org>:
You have taken responsibility. (Sat, 04 Apr 2009 09:09:06 GMT) Full text and rfc822 format available.

Notification sent to Wouter Bolsterlee <uws@xs4all.nl>:
Bug acknowledged by developer. (Sat, 04 Apr 2009 09:09:06 GMT) Full text and rfc822 format available.

Message #45 received at 516852-done@bugs.debian.org (full text, mbox):

From: Arnaud Cornet <acornet@debian.org>
To: 516852-done@bugs.debian.org
Subject: Fixed in 0.18.1-1
Date: Sat, 4 Apr 2009 11:03:38 +0200
Package: ruby-gnome2
Version: 0.18.1-1

Fixed upstream




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Feb 2011 08:09:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 07:03:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.